Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Out Class Reference

The class Out is the abstract base class for all classes that implement writing into streams. More...

`#include <InOut.h>`

Inheritance diagram for Out:

[legend]
List of all members.

## Public Member Functions
Out & | operator<< (const char value)
| Operator that writes a char into a stream.
Out & | operator<< (const unsigned char value)
| Operator that writes an unsigned char into a stream.
Out & | operator<< (const short value)
| Operator that writes a short int into a stream.
Out & | operator<< (const unsigned short value)
| Operator that writes an unsigned short int into a stream.
Out & | operator<< (const int value)
| Operator that writes an int into a stream.
Out & | operator<< (const unsigned int value)
| Operator that writes an unsigned int into a stream.
Out & | operator<< (const long value)
| Operator that writes a long int into a stream.
Out & | operator<< (const unsigned long value)
| Operator that writes an unsigned long int into a stream.
Out & | operator<< (const float value)
| Operator that writes a float into a stream.
Out & | operator<< (const double value)
| Operator that writes a double into a stream.
Out & | operator<< (const char *value)
| Operator that writes a string into a stream.
Out & | operator<< (Out &(*f)(Out &))
| Operator that writes the endl-symbol into a stream.
virtual void | write (const void *p, int size)=0
| The function writes a number of bytes into a stream.
## Protected Member Functions
virtual void | outChar (char)=0
| Virtual redirection for operator<<(const char& value).
virtual void | outUChar (unsigned char)=0
| Virtual redirection for operator<<(const unsigned char& value).
virtual void | outShort (short)=0
| Virtual redirection for operator<<(const short& value).
virtual void | outUShort (unsigned short)=0
| Virtual redirection for operator<<(const unsigned short& value).
virtual void | outInt (int)=0
| Virtual redirection for operator<<(const int& value).
virtual void | outUInt (unsigned int)=0
| Virtual redirection for operator<<(const unsigned& value).
virtual void | outLong (long)=0
| Virtual redirection for operator<<(const long& value).
virtual void | outULong (unsigned long)=0
| Virtual redirection for operator<<(const unsigned long& value).
virtual void | outFloat (float)=0
| Virtual redirection for operator<<(const float& value).
virtual void | outDouble (double)=0
| Virtual redirection for operator<<(const double& value).
virtual void | outString (const char *)=0
| Virtual redirection for operator<<(const char* value).
virtual void | outEndL ()=0
| Virtual redirection for operator<<(Out& (*f)(Out&)) that writes the symbol "endl";.

## Detailed Description

The class Out is the abstract base class for all classes that implement writing into streams.

Definition at line 18 of file InOut.h.

## Member Function Documentation

virtual void Out::outChar | ( | char |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const char& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outUChar | ( | unsigned | char | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const unsigned char& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outShort | ( | short |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const short& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outUShort | ( | unsigned | short | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const unsigned short& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outInt | ( | int |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const int& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outUInt | ( | unsigned | int | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const unsigned& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outLong | ( | long |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const long& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outULong | ( | unsigned | long | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const unsigned long& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outFloat | ( | float |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const float& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outDouble | ( | double |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const double& value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outString | ( | const char * |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(const char* value). Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

virtual void Out::outEndL | ( |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator<<(Out& (*f)(Out&)) that writes the symbol "endl";. Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<().

Out& Out::operator<< | ( | const char | value | ) | `[inline]`

  | Operator that writes a char into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 88 of file InOut.h. References outChar().

Here is the call graph for this function:

Out& Out::operator<< | ( | const unsigned char | value | ) | `[inline]`

  | Operator that writes an unsigned char into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 95 of file InOut.h. References outUChar().

Here is the call graph for this function:

Out& Out::operator<< | ( | const short | value | ) | `[inline]`

  | Operator that writes a short int into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 102 of file InOut.h. References outShort().

Here is the call graph for this function:

Out& Out::operator<< | ( | const unsigned short | value | ) | `[inline]`

  | Operator that writes an unsigned short int into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 109 of file InOut.h. References outUShort().

Here is the call graph for this function:

Out& Out::operator<< | ( | const int | value | ) | `[inline]`

  | Operator that writes an int into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 116 of file InOut.h. References outInt().

Here is the call graph for this function:

Out& Out::operator<< | ( | const unsigned int | value | ) | `[inline]`

  | Operator that writes an unsigned int into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 123 of file InOut.h. References outUInt().

Here is the call graph for this function:

Out& Out::operator<< | ( | const long | value | ) | `[inline]`

  | Operator that writes a long int into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 130 of file InOut.h. References outLong().

Here is the call graph for this function:

Out& Out::operator<< | ( | const unsigned long | value | ) | `[inline]`

  | Operator that writes an unsigned long int into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 137 of file InOut.h. References outULong().

Here is the call graph for this function:

Out& Out::operator<< | ( | const float | value | ) | `[inline]`

  | Operator that writes a float into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 144 of file InOut.h. References outFloat().

Here is the call graph for this function:

Out& Out::operator<< | ( | const double | value | ) | `[inline]`

  | Operator that writes a double into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 151 of file InOut.h. References outDouble().

Here is the call graph for this function:

Out& Out::operator<< | ( | const char * | value | ) | `[inline]`

  | Operator that writes a string into a stream. Parameters:
  value | The value that is written.
Returns: The stream. Definition at line 158 of file InOut.h. References outString().

Here is the call graph for this function:

Out& Out::operator<< | ( | Out &(* | f)(Out &) | ) | `[inline]`

  | Operator that writes the endl-symbol into a stream. Parameters:
  f | A function that is normally endl.
Returns: The stream. Definition at line 165 of file InOut.h. References outEndL().

Here is the call graph for this function:

virtual void Out::write | ( | const void * | p,
|  | int | size
| ) | `[pure virtual]`

  | The function writes a number of bytes into a stream. Parameters:
  p | The address the data is located at.
  size | The number of bytes to be written.
Implemented in OutStream< S, W >, OutStream< OutMemory, OutText >, OutStream< OutMemory, OutTextRaw >, OutStream< OutSize, OutText >, OutStream< OutFile, OutTextRaw >, OutStream< OutSize, OutTextRaw >, OutStream< OutFile, OutBinary >, OutStream< OutSize, OutBinary >, OutStream< OutMemory, OutBinary >, OutStream< OutMessageQueue, OutBinary >, OutStream< OutFile, OutText >, OutStream< OutMessageQueue, OutText >, and OutStream< OutMessageQueue, OutTextRaw >. Referenced by operator<<(), LinesTables2005::TemplateTable< TEMPLATES_MAX, POINT_RES >::write(), LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::write(), TemplateTable< 65000, 25 >::write(), and ObservationTable< 320, 240, 25, 25 >::write().

The documentation for this class was generated from the following file:

- Tools/Streams/InOut.h